ONVIF::PTZ::Types::VideoSourceConfigurationExtension(3pm)

NAME
ONVIF::PTZ::Types::VideoSourceConfigurationExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType VideoSourceConfigurationExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Rotate

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::VideoSourceConfigurationExtension
   Rotate =>  { # ONVIF::PTZ::Types::Rotate
     Mode => $some_value, # RotateMode
     Degree =>  $some_value, # int
     Extension =>  { # ONVIF::PTZ::Types::RotateExtension
     },
   },
   Extension =>  { # ONVIF::PTZ::Types::VideoSourceConfigurationExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL